Skip to content

Get Invoice Settings

GET
/organizations/{org_slug}/invoice-settings
curl --request GET \
--url https://api.mengi.cloud/organizations/example/invoice-settings

Get invoice settings for an organization.

org_slug
required
Org Slug
string

Successful Response

Media type application/json
InvoiceSettingsResponse

Schema for invoice settings response.

object
id
required
Id
string format: uuid
organization_id
required
Organization Id
string format: uuid
company_name
required
Any of:
string
contact_email
required
Contact Email
string
address_line1
required
Address Line1
string
address_line2
required
Any of:
string
city
required
City
string
postal_code
required
Postal Code
string
country_code
required
Country Code
string
country_name
Any of:
string
vat_number
required
Any of:
string
vat_number_verified
required
Vat Number Verified
boolean
vat_number_verified_at
required
Any of:
string format: date-time
vat_verification_name
required
Any of:
string
vat_treatment
required
VATTreatment

VAT treatment type for API responses.

string
Allowed values: domestic eu_b2b_reverse_charge eu_b2c export
vat_treatment_description
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{
"vat_treatment": "domestic"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}